# IPoserJointParam Struct Reference

Inheritance diagram for IPoserJointParam:

List of all members.

## Public Types
enum | EType { kRotationParam, kRotationTwistParam, kCurveParam, kSmoothScaleParam }
## Public Member Functions
virtual EType | GetType ()=0
virtual int32 | GetAxis ()=0
virtual boolean | IsFlipped () const =0
virtual boolean | IsActive (boolean isChildren) const =0
virtual boolean | UseSpheres () const =0
virtual void | GetSpheres (TTransform3D &staticSphere, TTransform3D &dynamicSphere) const =0
virtual boolean | UseAngles () const =0
virtual void | GetAngles (float &staticA, float &dynamicB, float &dynamicC, float &staticD) const =0
virtual boolean | UseBulges () const =0
virtual void | GetBulges (float &posLeftBulge, float &posRightBulge, float &negLeftBulge, float &negRightBulge) const =0
virtual boolean | UseTwist () const =0
virtual void | GetTwist (float &start, float &end) const =0
virtual boolean | UseSmooth () const =0
virtual void | GetSmooth (float &loEnd, float &loStart, float &hiStart, float &hiEnd) const =0
virtual boolean | GetDeformParent () const =0
virtual real32 | GetWeight (const TVector3 &position, real32 *posBulgeWeight=NULL, real32 *negBulgeWeight=NULL)=0
virtual boolean | HasBulge ()=0
virtual void | Clone (IPoserJointParam **clone)=0
virtual void | Write (IShTokenStream &stream)=0
virtual void | Read (IShTokenStream &stream)=0

## Member Enumeration Documentation

enum IPoserJointParam::EType

Enumerator:

  kRotationParam |
  kRotationTwistParam |
  kCurveParam |
  kSmoothScaleParam |

## Member Function Documentation

virtual void IPoserJointParam::Clone | ( | IPoserJointParam ** | clone | ) | `[pure virtual]`

virtual void IPoserJointParam::GetAngles | ( | float & | staticA,
|  | float & | dynamicB,
|  | float & | dynamicC,
|  | float & | staticD |
| ) |  |  | const`[pure virtual]`

virtual int32 IPoserJointParam::GetAxis | ( |  | ) | `[pure virtual]`

virtual void IPoserJointParam::GetBulges | ( | float & | posLeftBulge,
|  | float & | posRightBulge,
|  | float & | negLeftBulge,
|  | float & | negRightBulge |
| ) |  |  | const`[pure virtual]`

virtual boolean IPoserJointParam::GetDeformParent | ( |  | ) | const`[pure virtual]`

virtual void IPoserJointParam::GetSmooth | ( | float & | loEnd,
|  | float & | loStart,
|  | float & | hiStart,
|  | float & | hiEnd |
| ) |  |  | const`[pure virtual]`

virtual void IPoserJointParam::GetSpheres | ( | TTransform3D & | staticSphere,
|  | TTransform3D & | dynamicSphere |
| ) |  |  | const`[pure virtual]`

virtual void IPoserJointParam::GetTwist | ( | float & | start,
|  | float & | end |
| ) |  |  | const`[pure virtual]`

virtual EType IPoserJointParam::GetType | ( |  | ) | `[pure virtual]`

virtual real32 IPoserJointParam::GetWeight | ( | const TVector3 & | position,
|  | real32 * | posBulgeWeight = `NULL`,
|  | real32 * | negBulgeWeight = `NULL` |
| ) |  |  | `[pure virtual]`

virtual boolean IPoserJointParam::HasBulge | ( |  | ) | `[pure virtual]`

virtual boolean IPoserJointParam::IsActive | ( | boolean | isChildren | ) | const`[pure virtual]`

virtual boolean IPoserJointParam::IsFlipped | ( |  | ) | const`[pure virtual]`

virtual void IPoserJointParam::Read | ( | IShTokenStream & | stream | ) | `[pure virtual]`

virtual boolean IPoserJointParam::UseAngles | ( |  | ) | const`[pure virtual]`

virtual boolean IPoserJointParam::UseBulges | ( |  | ) | const`[pure virtual]`

virtual boolean IPoserJointParam::UseSmooth | ( |  | ) | const`[pure virtual]`

virtual boolean IPoserJointParam::UseSpheres | ( |  | ) | const`[pure virtual]`

virtual boolean IPoserJointParam::UseTwist | ( |  | ) | const`[pure virtual]`

virtual void IPoserJointParam::Write | ( | IShTokenStream & | stream | ) | `[pure virtual]`

The documentation for this struct was generated from the following file:

- I3DExPoserSkinningAlgorithm.h